org.apache.ode.bpel.pmapi

## Interface TVariableRef

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TVariableRefImpl

      public interface TVariableRef
      extends org.apache.xmlbeans.XmlObject

  An XML tVariableRef(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TVariableRef.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIid()` Gets the "iid" attribute
    `java.lang.String` | `getName()` Gets the "name" attribute
    `java.lang.String` | `getSiid()` Gets the "siid" attribute
    `void` | `setIid(java.lang.String iid)` Sets the "iid" attribute
    `void` | `setName(java.lang.String name)` Sets the "name" attribute
    `void` | `setSiid(java.lang.String siid)` Sets the "siid" attribute
    `org.apache.xmlbeans.XmlString` | `xgetIid()` Gets (as xml) the "iid" attribute
    `org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" attribute
    `org.apache.xmlbeans.XmlString` | `xgetSiid()` Gets (as xml) the "siid" attribute
    `void` | `xsetIid(org.apache.xmlbeans.XmlString iid)` Sets (as xml) the "iid" attribute
    `void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" attribute
    `void` | `xsetSiid(org.apache.xmlbeans.XmlString siid)` Sets (as xml) the "siid" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getIid

          java.lang.String getIid()

      Gets the "iid" attribute

    - #### xgetIid

          org.apache.xmlbeans.XmlString xgetIid()

      Gets (as xml) the "iid" attribute

    - #### setIid

          void setIid(java.lang.String iid)

      Sets the "iid" attribute

    - #### xsetIid

          void xsetIid(org.apache.xmlbeans.XmlString iid)

      Sets (as xml) the "iid" attribute

    - #### getSiid

          java.lang.String getSiid()

      Gets the "siid" attribute

    - #### xgetSiid

          org.apache.xmlbeans.XmlString xgetSiid()

      Gets (as xml) the "siid" attribute

    - #### setSiid

          void setSiid(java.lang.String siid)

      Sets the "siid" attribute

    - #### xsetSiid

          void xsetSiid(org.apache.xmlbeans.XmlString siid)

      Sets (as xml) the "siid" attribute

    - #### getName

          java.lang.String getName()

      Gets the "name" attribute

    - #### xgetName

          org.apache.xmlbeans.XmlString xgetName()

      Gets (as xml) the "name" attribute

    - #### setName

          void setName(java.lang.String name)

      Sets the "name" attribute

    - #### xsetName

          void xsetName(org.apache.xmlbeans.XmlString name)

      Sets (as xml) the "name" attribute